SEPMetrics (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.metrics

## Class SEPMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.SEPMetrics

-     public class SEPMetrics
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.yammer.metrics.core.Gauge<java.lang.Integer>` | `activeTasks` Number of active tasks.
    `com.yammer.metrics.core.Gauge<java.lang.Long>` | `completedTasks` Number of completed tasks.
    `com.yammer.metrics.core.Gauge<java.lang.Long>` | `currentBlocked` Number of tasks currently blocked, waiting to be accepted by the executor (because all threads are busy and the backing queue is full).
    `com.yammer.metrics.core.Gauge<java.lang.Long>` | `pendingTasks` Number of tasks waiting to be executed.
    `com.yammer.metrics.core.Gauge<java.lang.Integer>` | `totalBlocked` Number of tasks that had blocked before being accepted (or rejected).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SEPMetrics(SEPExecutor executor, java.lang.String path, java.lang.String poolName)` Create metrics for the given LowSignalExecutor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `release()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### activeTasks

          public final com.yammer.metrics.core.Gauge<java.lang.Integer> activeTasks

      Number of active tasks.

    - #### totalBlocked

          public final com.yammer.metrics.core.Gauge<java.lang.Integer> totalBlocked

      Number of tasks that had blocked before being accepted (or rejected).

    - #### currentBlocked

          public final com.yammer.metrics.core.Gauge<java.lang.Long> currentBlocked

      Number of tasks currently blocked, waiting to be accepted by the executor (because all threads are busy and the backing queue is full).

    - #### completedTasks

          public final com.yammer.metrics.core.Gauge<java.lang.Long> completedTasks

      Number of completed tasks.

    - #### pendingTasks

          public final com.yammer.metrics.core.Gauge<java.lang.Long> pendingTasks

      Number of tasks waiting to be executed.

  - ### Constructor Detail

    - #### SEPMetrics

          public SEPMetrics(SEPExecutor executor,
                    java.lang.String path,
                    java.lang.String poolName)

      Create metrics for the given LowSignalExecutor.
      Parameters:
        `executor` - Thread pool
        `path` - Type of thread pool
        `poolName` - Name of thread pool to identify metrics

  - ### Method Detail

    - #### release

          public void release()

Copyright © 2014 The Apache Software Foundation